/* %Z%%M%	%I% %E% Copyright 2000 J. Schilling */
#ifndef lint
static	char sccsid[] =
	"%Z%%M%	%I% %E% Copyright 2000 J. Schilling";
#endif
/*
 *	Copyright (c) 2000 J. Schilling
 */
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <mconfig.h>
#include <stdio.h>
#include <standard.h>
#include <scg/scsireg.h>
#include <scg/scsitransp.h>

EXPORT	SCSI	*open_scsi	__PR((char *scsidev, char *errs, int slen, int debug,
								int be_verbose));
EXPORT	int	close_scsi	__PR((SCSI * scgp));
EXPORT	void	scsi_settimeout	__PR((SCSI * scgp, int timeout));
EXPORT	SCSI	*scsi_smalloc	__PR((void));
EXPORT	void	scsi_sfree	__PR((SCSI *scgp));

EXPORT	int	scsi_open	__PR((SCSI *scgp, char *device, int busno, int tgt, int tlun));
EXPORT	int	scsi_close	__PR((SCSI *scgp));
EXPORT	BOOL	scsi_havebus	__PR((SCSI *scgp, int));
EXPORT	int	scsi_initiator_id __PR((SCSI *scgp));
EXPORT	int	scsi_isatapi	__PR((SCSI *scgp));
EXPORT	int	scsireset	__PR((SCSI *scgp));
EXPORT	void	*scsi_getbuf	__PR((SCSI *scgp, long));
EXPORT	long	scsi_bufsize	__PR((SCSI *scgp, long));
EXPORT	void	scsi_setnonstderrs __PR((SCSI *scgp, const char **));
EXPORT	BOOL	scsi_yes	__PR((char *));
EXPORT	int	scsicmd		__PR((SCSI *scgp));
EXPORT	int	scsigetresid	__PR((SCSI *scgp));
EXPORT	void	scsiprinterr	__PR((SCSI *scgp));
EXPORT	void	scsiprintresult	__PR((SCSI *scgp));
EXPORT	void	scsiprbytes	__PR((char *, unsigned char *, int));

EXPORT	void	scsiprsense	__PR((unsigned char *, int));
EXPORT	int	scsi_sense_key	__PR((SCSI *scgp));
EXPORT	int	scsi_sense_code	__PR((SCSI *scgp));
EXPORT	int	scsi_sense_qual	__PR((SCSI *scgp));
EXPORT	void	scsiprintdev	__PR((struct scsi_inquiry *));

EXPORT SCSI *
open_scsi(scsidev, errs, slen, debug, be_verbose)
	char	*scsidev;
	char	*errs;
	int	slen;
	int	debug;
	int	be_verbose;
{
	return (scg_open(scsidev, errs, slen, debug, be_verbose));
}

EXPORT int
close_scsi(scgp)
	SCSI	*scgp;
{
	return (scg_close(scgp));
}

EXPORT void
scsi_settimeout(scgp, timeout)
	SCSI	*scgp;
	int	timeout;
{
	scg_settimeout(scgp, timeout);
}

EXPORT SCSI *
scsi_smalloc()
{
	return (scg_smalloc());
}

EXPORT void
scsi_sfree(scgp)
	SCSI	*scgp;
{
	scg_sfree(scgp);
}
/*--------------------------------------------------------------------------*/
EXPORT int
scsi_open(scgp, device, busno, tgt, tlun)
	SCSI	*scgp;
	char	*device;
	int	busno;
	int	tgt;
	int	tlun;
{
	return (scg__open(scgp, device, busno, tgt, tlun));
}

EXPORT int
scsi_close(scgp)
	SCSI	*scgp;
{
	return (scg__close(scgp));
}

EXPORT BOOL
scsi_havebus(scgp, busno)
	SCSI	*scgp;
	int	busno;
{
	return (scg_havebus(scgp, busno));
}

EXPORT int
scsi_initiator_id(scgp)
	SCSI	*scgp;
{
	return (scg_initiator_id(scgp));
}

EXPORT int
scsi_isatapi(scgp)
	SCSI	*scgp;
{
	return (scg_isatapi(scgp));
}

EXPORT int
scsireset(scgp)
	SCSI	*scgp;
{
	return (scg_reset(scgp));
}

EXPORT void *
scsi_getbuf(scgp, amt)
	SCSI	*scgp;
	long	amt;
{
	return (scg_getbuf(scgp, amt));
}

EXPORT long
scsi_bufsize(scgp, amt)
	SCSI	*scgp;
	long	amt;
{
	return (scg_bufsize(scgp, amt));
}

EXPORT void
scsi_setnonstderrs(scgp, vec)
	SCSI	*scgp;
	const char **vec;
{
	scg_setnonstderrs(scgp, vec);
}

EXPORT BOOL
scsi_yes(msg)
	char	*msg;
{
	return (scg_yes(msg));
}

EXPORT int
scsicmd(scgp)
	SCSI	*scgp;
{
	return (scg_cmd(scgp));
}

EXPORT int
scsigetresid(scgp)
	SCSI	*scgp;
{
	return (scg_getresid(scgp));
}

EXPORT void
scsiprinterr(scgp)
	SCSI	*scgp;
{
	scg_printerr(scgp);
}

EXPORT void
scsiprintresult(scgp)
	SCSI	*scgp;
{
	scg_printresult(scgp);
}

EXPORT void
scsiprbytes(s, cp, n)
		char	*s;
	register u_char	*cp;
	register int	n;
{
	scg_prbytes(stdout, s, cp, n);
}

EXPORT void
scsiprsense(cp, n)
	u_char	*cp;
	int	n;
{
	scg_prsense(cp, n);
}

EXPORT int
scsi_sense_key(scgp)
	SCSI	*scgp;
{
	return (scg_sense_key(scgp));
}

EXPORT int
scsi_sense_code(scgp)
	SCSI	*scgp;
{
	return (scg_sense_code(scgp));
}

EXPORT int
scsi_sense_qual(scgp)
	SCSI	*scgp;
{
	return (scg_sense_qual(scgp));
}

EXPORT void
scsiprintdev(ip)
	struct	scsi_inquiry *ip;
{
	scg_printdev(stdout, ip);
}
